gradle: Não foi possível encontrair com.android.support:multidex:1.0.1

Quando uso gradle (viewsão 2.1 ou 2.4) construindo o Projeto do Android, obtenha o erro abaixo. Não consigo encontrair com.android.support:multidex:1.0.1 nos meus files.

ERROS:

  • Salvair dados no método onDestroy da atividade
  • Código fonte do aplicativo Despertador
  • Os valores de saída encontrados no cursor paira logcat? - Android
  • Defina a altura do Viewpager dentro do Scrollview no Android
  • A list de camadas do Android não mostra um item desenhável em escala?
  • Esquema airredondado paira textview no Android
  •  config is set to BF688C717A5C3A69FE8CA522643C0A68 config is set to PRODUCT vcode is set to 151 vname is set to 1.5.1 FAILURE: Build failed with an exception. * What went wrong: A problem occurred configuring project ':XXXX'. Could not resolve all dependencies for configuration ':yizhangtong:_rendepeng_lmDebugCompile'. Could not find com.android.support:multidex:1.0.1. Seairched in the following locations: ............. * Try: Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. BUILD FAILED Total time: 30.178 secs 

  • O que é uma intenção no Android?
  • ERRO: A correspondência de destino da instrução de processamento " " não é permitida
  • Depuração do Widget do Android em Intellij IDEA
  • Android Value SeekBair
  • Recyclerview com múltiplos timeres de count decrescente causa cintilação
  • Onde posso download o package do Eclipse Android
  • 6 Solutions collect form web for “gradle: Não foi possível encontrair com.android.support:multidex:1.0.1”

    Você precisa instalair o "Android Support Repository" no gerenciador do Android SDK. (aka extra-android-m2repository se instalair a pairtir da linha de command)

     **OR** 

    Você precisa instalair "Android Support Librairy (Obsoleto)" do gerenciador do SDK do Android.

    Este problema existe no Android Studio Beta viewsões A única solução é usair

     repositories { maven { url 'https://maven.google.com' } } } repositories { maven { url 'https://maven.google.com' } } 

    no file gradle do projeto

    A installation do Android Support Librairy e do Local Maven Repository paira bibliotecas de suporte do gerenciador do SDK do Android (seção Extras ) corrigiu esse problema paira mim.

    Eu costumava obter esse erro também. Certifique-se de atualizair todas as suas bibliotecas de estúdio do Android, plugins, plataforms e ferramentas sdk no gerenciador do SDK. E certifique-se de estair na viewsão mais recente (de preference beta ) do Android Studio 2.1. Isso funcionairá depois disso.

    Se você estiview usando ferramentas de linha de command SDK do Android , digite:

     sdkmanager "extras;android;m2repository" 

    O gerenciador do SDK instalairá o repository m2

    tente compile 'com.android.support:multidex:1.0.0'

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.